const handleClick = (e: MouseEvent) => {
  if (!(e.currentTarget instanceof HTMLAnchorElement)) {
    return;
  }

  e.preventDefault();

  console.log(e.currentTarget.href);
};

const renderUI = () => {
  document
    .querySelectorAll('.worlds-container:first-of-type .world-select')
    .forEach((el) => {
      const cloned = el.cloneNode(true);
      if (!(cloned instanceof HTMLAnchorElement)) {
        return;
      }

      cloned.addEventListener('click', handleClick);

      const span = cloned.childNodes.item(1);
      if (!span) {
        return;
      }
      span.textContent += ' (SS)';

      el.parentNode?.insertBefore(cloned, el.nextSibling);
    });
};

const init = () => {
  renderUI();
};

init();
